Unbind
Deployments

Get Deployment

Get a single deployment by ID, including its build/run status.

GET
/deployments/get

Get a single deployment by ID, including its build/run status.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Query Parameters

team_id*string

The ID of the team

project_id*string

The ID of the project

environment_id*string

The ID of the environment

service_id*string

The ID of the service

deployment_id*string

The ID of the deployment

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/deployments/get?team_id=string&project_id=string&environment_id=string&service_id=string&deployment_id=string"
{  "data": {    "attempts": 0,    "builder": "railpack",    "commit_author": {      "avatar_url": "string",      "name": "string"    },    "commit_message": "string",    "commit_sha": "string",    "completed_at": "2019-08-24T14:15:22Z",    "crashing_reasons": [      "string"    ],    "created_at": "2019-08-24T14:15:22Z",    "docker_builder_build_context": "string",    "docker_builder_dockerfile_path": "string",    "error": "string",    "git_branch": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "image": "string",    "job_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "railpack_builder_build_command": "string",    "railpack_builder_install_command": "string",    "replica_events": [      {        "count": 0,        "first_seen": "string",        "last_seen": "string",        "message": "string",        "reason": "string",        "timestamp": "string",        "type": "oom_killed"      }    ],    "replica_restarts": 0,    "run_command": "string",    "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",    "started_at": "2019-08-24T14:15:22Z",    "status": "build-pending",    "status_message": "string",    "updated_at": "2019-08-24T14:15:22Z"  }}